# Makefile for CLISP module set postgresql

srcdir = .
CC = gcc
PQCPPFLAGS = -I/usr/pkg/include -I/usr/include
CFLAGS = -O2 -fno-builtin-calloc -fno-builtin-malloc -fno-builtin-memalign -fno-builtin-realloc -fno-builtin-valloc -fno-builtin-free -falign-functions=4 -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/glib-2.0 -I/usr/pkg/include/gio-unix-2.0 -I/usr/pkg/lib/glib-2.0/include -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -Wmissing-declarations -O -DENABLE_UNICODE -DDYNAMIC_FFI -DDYNAMIC_MODULES -I. -fPIC
CLISP = /usr/pkg/bin/clisp -norc -q
CLISP_LINKKIT = /usr/pkg/lib/clisp/linkkit

LN = ln

MAKE = make

SHELL = /bin/sh

GENERATED = postgresql.o postgresql.fas sql.fas
DISTRIBFILES = link.sh Makefile $(GENERATED) \
	$(srcdir)/postgresql.lisp $(srcdir)/sql.lisp $(srcdir)/README
distribdir =

# default target: make the module
clisp-module : $(GENERATED)

postgresql.c postgresql.fas : $(srcdir)/postgresql.lisp
	$(CLISP) -c $(srcdir)/postgresql.lisp -o ./

postgresql.o : postgresql.c config.h
	$(CC) $(CPPFLAGS) $(PQCPPFLAGS) $(CFLAGS) -I$(CLISP_LINKKIT) \
		-c postgresql.c

sql.fas: $(srcdir)/sql.lisp
	$(CLISP) -c $(srcdir)/sql.lisp -o ./

# Make a module distribution into $(distribdir)
clisp-module-distrib : clisp-module force
	$(LN) $(DISTRIBFILES) $(distribdir)

clean : force
	rm -f core *.o *.a *.fas *.lib

distclean : clean

force :

